<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Using RSVG with cairo</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="RSVG Libary Reference Manual">
<link rel="up" href="rsvg.html" title="Part I. API Reference">
<link rel="prev" href="rsvg-Using-RSVG-with-GIO.html" title="Using RSVG with GIO">
<link rel="next" href="rsvg-Using-RSVG-with-GdkPixbuf.html" title="Using RSVG with GdkPixbuf">
<meta name="generator" content="GTK-Doc V1.19 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
<tr valign="middle">
<td><a accesskey="p" href="rsvg-Using-RSVG-with-GIO.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="rsvg.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">RSVG Libary Reference Manual</th>
<td><a accesskey="n" href="rsvg-Using-RSVG-with-GdkPixbuf.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr>
<tr><td colspan="5" class="shortcuts">
<a href="#rsvg-Using-RSVG-with-cairo.synopsis" class="shortcut">Top</a>
                   | 
                  <a href="#rsvg-Using-RSVG-with-cairo.description" class="shortcut">Description</a>
</td></tr>
</table>
<div class="refentry">
<a name="rsvg-Using-RSVG-with-cairo"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="rsvg-Using-RSVG-with-cairo.top_of_page"></a>Using RSVG with cairo</span></h2>
<p>Using RSVG with cairo</p>
</td>
<td valign="top" align="right"></td>
</tr></table></div>
<div class="refsynopsisdiv">
<a name="rsvg-Using-RSVG-with-cairo.synopsis"></a><h2>Synopsis</h2>
<pre class="synopsis"><span class="returnvalue">gboolean</span>            <a class="link" href="rsvg-Using-RSVG-with-cairo.html#rsvg-handle-render-cairo" title="rsvg_handle_render_cairo ()">rsvg_handle_render_cairo</a>            (<em class="parameter"><code><a class="link" href="RsvgHandle.html" title="RsvgHandle"><span class="type">RsvgHandle</span></a> *handle</code></em>,
                                                         <em class="parameter"><code><a href="/opt/gnome/share/gtk-doc/html/cairo/cairo-cairo-t.html#cairo-t"><span class="type">cairo_t</span></a> *cr</code></em>);
<span class="returnvalue">gboolean</span>            <a class="link" href="rsvg-Using-RSVG-with-cairo.html#rsvg-handle-render-cairo-sub" title="rsvg_handle_render_cairo_sub ()">rsvg_handle_render_cairo_sub</a>        (<em class="parameter"><code><a class="link" href="RsvgHandle.html" title="RsvgHandle"><span class="type">RsvgHandle</span></a> *handle</code></em>,
                                                         <em class="parameter"><code><a href="/opt/gnome/share/gtk-doc/html/cairo/cairo-cairo-t.html#cairo-t"><span class="type">cairo_t</span></a> *cr</code></em>,
                                                         <em class="parameter"><code>const <span class="type">char</span> *id</code></em>);
</pre>
</div>
<div class="refsect1">
<a name="rsvg-Using-RSVG-with-cairo.description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="rsvg-Using-RSVG-with-cairo.details"></a><h2>Details</h2>
<div class="refsect2">
<a name="rsvg-handle-render-cairo"></a><h3>rsvg_handle_render_cairo ()</h3>
<pre class="programlisting"><span class="returnvalue">gboolean</span>            rsvg_handle_render_cairo            (<em class="parameter"><code><a class="link" href="RsvgHandle.html" title="RsvgHandle"><span class="type">RsvgHandle</span></a> *handle</code></em>,
                                                         <em class="parameter"><code><a href="/opt/gnome/share/gtk-doc/html/cairo/cairo-cairo-t.html#cairo-t"><span class="type">cairo_t</span></a> *cr</code></em>);</pre>
<p>
Draws a SVG to a Cairo surface
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>handle</code></em> :</span></p></td>
<td>A RsvgHandle</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>cr</code></em> :</span></p></td>
<td>A Cairo renderer</td>
</tr>
<tr>
<td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
<td>
<code class="literal">TRUE</code> if drawing succeeded.</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 2.14</p>
</div>
<hr>
<div class="refsect2">
<a name="rsvg-handle-render-cairo-sub"></a><h3>rsvg_handle_render_cairo_sub ()</h3>
<pre class="programlisting"><span class="returnvalue">gboolean</span>            rsvg_handle_render_cairo_sub        (<em class="parameter"><code><a class="link" href="RsvgHandle.html" title="RsvgHandle"><span class="type">RsvgHandle</span></a> *handle</code></em>,
                                                         <em class="parameter"><code><a href="/opt/gnome/share/gtk-doc/html/cairo/cairo-cairo-t.html#cairo-t"><span class="type">cairo_t</span></a> *cr</code></em>,
                                                         <em class="parameter"><code>const <span class="type">char</span> *id</code></em>);</pre>
<p>
Draws a subset of a SVG to a Cairo surface
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>handle</code></em> :</span></p></td>
<td>A RsvgHandle</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>cr</code></em> :</span></p></td>
<td>A Cairo renderer</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>id</code></em> :</span></p></td>
<td>An element's id within the SVG, or <code class="literal">NULL</code> to render the whole SVG. For
example, if you have a layer called "layer1" that you wish to render, pass
"#<span class="type">layer1</span>" as the id.</td>
</tr>
<tr>
<td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
<td>
<code class="literal">TRUE</code> if drawing succeeded.</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 2.14</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.19</div>
</body>
</html>